Package org.jfree.report.expressions

# Interface ExpressionRuntime

All Known Implementing Classes:
  `LayoutExpressionRuntime`, `ProxyExpressionRuntime`, `RunningExpressionSlot`

public interface ExpressionRuntime
Creation-Date: 24.01.2006, 16:58:34

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`org.pentaho.reporting.libraries.base.config.Configuration`
`getConfiguration()`
`int`
`getCurrentRow()`
`ReportData`
`getData()`
Returns the report data used in this section.
`DataRow`
`getDataRow()`
Returns the datarow.
`Object`
`getDeclaringParent()`
`ReportContext`
`getReportContext()`
`ResourceBundleFactory`
`getResourceBundleFactory()`

## Method Details

### getDataRow

DataRow getDataRow()
Returns the datarow.

Returns:

### getConfiguration

org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

### getResourceBundleFactory

ResourceBundleFactory getResourceBundleFactory()

### getData

ReportData getData()
Returns the report data used in this section. If subreports are used, this does not reflect the complete report data.

All access to the report data must be properly synchronized. Failure to do so may result in funny results. Do not assume that the report data will be initialized on the current cursor positon.

Returns:
See Also:
  - `getCurrentRow()`

### getCurrentRow

int getCurrentRow()

### getDeclaringParent

Object getDeclaringParent()

### getReportContext

ReportContext getReportContext()